%global momorel 11
%global scimver 1.4.9
%global skimver 1.4.4
%global skimrel 0.20060301.14m
%global scim_skk_ver 0.5.2
%global artsver 1.5.9
%global artsrel 3m
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 4m
%global kdebaserel 8m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global reldir 18518

Summary: skim-scim-skk is a scim-skk settings plugin for SKIM
Name: skim-scim-skk
Version: 0.5.2.1
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://sourceforge.jp/projects/scim-imengine/
Group: User Interface/X
Source0: http://dl.sourceforge.jp/scim-imengine/%{reldir}/%{name}-%{version}.tar.gz
NoSource: 0
Source1: admin.tar.bz2
Patch0: %{name}-%{version}-automake111.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: skim >= %{skimver}
Requires: scim-skk >= %{scim_skk_ver}
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdebase3 >= %{kdever}-%{kdebaserel}
BuildPreReq: scim-devel >= %{scimver}
BuildPreReq: skim-devel >= %{skimver}-%{skimrel}
BuildPreReq: pkgconfig

%description
skim-scim-skk is a scim-skk settings plugin for SKIM.

%prep
%setup -q

# build fix
rm -rf admin
tar xf %{SOURCE1}

%patch0 -p1 -b .automake111

touch setupui/skimeditshortcutbutton.h

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS
%{_libdir}/kde3/kcm_skimplugin_scim_skk.la
%{_libdir}/kde3/kcm_skimplugin_scim_skk.so
%{_datadir}/apps/skim/pics/scim-skk.png
%{_datadir}/config.kcfg/skk.kcfg
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/services/skimconfiguredialog/*.desktop

%changelog
* Sat Aug  1 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.2.1-11m)
- change BuildRequires: skim to skim-devel

* Wed May 20 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.2.1-10m)
- fix build with new automake

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.2.1-9m)
- rebuild against rpm-4.6

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.2.1-8m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.2.1-7m)
- rebuild against gcc43

* Sat Mar  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.2.1-6m)
- rebuild with skim-1.4.4-0.20060301.7m

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.2.1-5m)
- specify KDE3 headers and libs
- modify BuildRequires

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.2.1-4m)
- %%NoSource -> NoSource

* Sat Mar 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.2.1-3m)
- clean up spec file

* Wed Oct 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.2.1-2m)
- import Source1: admin.tar.bz2 from svn.kde.org

* Fri Feb  3 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.2.1-1m)
- initial package for Momonga Linux
